# FAQ

<details>

<summary>Why isn't the Minterest app working?</summary>

The online apps are discontinued, but you can do everything directly via block explorers like **Taiko**'s, [taikoscan.io](https://taikoscan.io/) or **Morph**'s, [explorer.morphl2.io](https://explorer.morphl2.io/).\
\
Direct contract calls performed in such a way work as well, as it's all the same on-chain context — so no UI's strictly required.

</details>

<details>

<summary>Do I have to repay all borrows before redeeming any supplied funds?</summary>

For each asset and market, it's strongly recommended to repay all outstanding borrow before you redeem your supplied funds. While you may still be able to withdraw some funds, ensuring that your borrows are settled prevents any issues.

That's the recommend best practice for smoothly redeeming all your funds.

</details>

<details>

<summary>Do I need gas tokens to pay fees — which asset's required?</summary>

Yes. Transaction fees are charged in $**ETH**, both on **Taiko** & **Morph** networks. The fees are generally low, but you still need $**ETH** in your wallet to cover them.

</details>

<details>

<summary>What's a blockchain explorer?</summary>

Blockchain networks and their ecosystems usually provide users with a page for on-chain consultations or operations, *like a bank statement viewer made for Web3.*\
\
For **Taiko**, we recommend you go to [taikoscan.io](https://taikoscan.io/), and for **Morph** we recommend you [explorer.morphl2.io](https://explorer.morphl2.io/).\
[Find alternative blockchain explorers for both networks here.](/taiko-morph-guide/contracts.md#alternative-blockchain-explorers-on-taiko)

</details>

<details>

<summary>What are market contract addresses and why are they different from token contract addresses?</summary>

In short, the token contract represents the asset, while the market contract represent the platform that lets you supply, borrow or redeem that asset. You may check the [**Contracts**](/taiko-morph-guide/contracts.md) section of this page to confirm each asset's token contract address and corresponding market contract address for both the **Taiko** & **Morph** networks.

Market smart contracts handle interactions like lending, borrowing and interest accrual for a given asset. Their addresses represent the platforms where specific assets are supplied, borrowed or otherwise managed in decentralised lending.

On the other hand, token smart contract addresses represent the actual on-chain asset itself. These contracts define the token's properties, balances and transactions, *but they don't manage lending & borrowing operations.*

</details>

<details>

<summary>Why are the resulting balances so much higher than my real asset holdings?</summary>

The [**Contracts**](/taiko-morph-guide/contracts.md) section of this page shows how many decimal places each returned value is scaled up by — depending on the token.

When performing [`borrowBalanceStored`](/taiko-morph-guide/balance-check.md#checking-your-outstanding-borrow-amount) & [`balanceOf`](/taiko-morph-guide/withdraw-funds.md#get-your-balance-for-a-specific-market) operations, the returned value's a scaled integer, so it'll seem way higher than your current totals. Depending on each token, the amount of decimal places is affected.

</details>

<details>

<summary>What's that long number string <em>(<code>MaxUint256</code>)</em> recommended to input as the amount of assets for operations?</summary>

It's called **`MaxUint256`**:

```markdown
115792089237316195423570985008687907853269984665640564039457584007913129639935
```

It serves to represent the maximum possible `uint256` value, and you may simply copy & paste it. Use it for the `approve` & `repayBorrow` operations to cover **all** interest — *safer than guessing your exact debt.*

</details>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.minterest.com/taiko-morph-guide/faq.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
